# Contribution

## Contribution Overview ##
The Contribution Cloud API allows customers to submit data corrections and additions to improve Melissa reference data quality.

After a contribution is submitted, it is reviewed by our team to verify the accuracy of the proposed correction. If the submission is confirmed to be valid, the update will be incorporated into the Melissa database. Please note that the review and update process may take several months to complete.

You can use Contribution to:

- Specify problem GeoPoints using Melissa Address Keys (MAKs).
- Submit latitude and longitude corrections.
- Provide an email for correction notifications.
- Submit additional comments about the problem MAK.

A web-based interface for this API is available here:
- [Data Correction Submission Page](https://apps.melissa.com/v2/hub/datacontribution/)

**Documentation**
- [Contribution Documentation](https://docs.melissa.com/cloud-api/contribution/contribution-index.html)

**Useful Resources**
- [GitHub - Contribution Open API Specification](https://github.com/MelissaData/MelissaCloudAPI-OpenAPI-Specification/blob/main/openapi/apis/contribution.yaml)
- [Release notes](https://releasenotes.melissa.com/cloud-api/contribution/)
- [Result codes](https://docs.melissa.com/cloud-api/contribution/result-codes.html)

**Support Center**

[https://www.melissa.com/company/product-support](https://www.melissa.com/company/product-support)



## Servers

Contribution Server
```
http://contribution.melissadata.net/V4/WEB
```

## Download OpenAPI description

[Contribution](https://developer.melissa.com/_bundle/apis/contribution.yaml)

## Add MAK

Use this endpoint to submit a request to add an unlisted address for review and the generation of an associated Melissa Address Key (MAK).

### Add a new MAK

 - [GET /addMAK](https://developer.melissa.com/apis/contribution/add-mak/addmakget.md): Use this GET endpoint to submit a request to add an unlisted address for review and the generation of an associated Melissa Address Key (MAK). This is part of our contribution pipeline to include user input and improve data accuracy.

To ensure your request can be processed, include the complete address details (e.g. address line 1, locality (city), administrative area (state), postal code (zip), country, and an explanation in the comments field (e.g., “New residential subdivision” or “Commercial building recently completed”). Submissions without adequate justification may be discarded.

Upon a successful request you will get an MS01 result code and a successful submission message.

All user contributions enter a queue and are evaluated by our team on a case-by-case basis.

Submitting a correction does not guarantee that it will be approved or integrated into the active dataset.

### Add new MAKs

 - [POST /addMAK](https://developer.melissa.com/apis/contribution/add-mak/addmakpost.md): Use this POST endpoint to submit a request to add an unlisted address for review and the generation of an associated Melissa Address Key (MAK). This is part of our contribution pipeline to include user input and improve data accuracy.

To ensure your request can be processed, include the complete address details (e.g. address line 1, locality (city), administrative area (state), postal code (zip), country, and an explanation in the comments field (e.g., “New residential subdivision” or “Commercial building recently completed”). Submissions without adequate justification may be discarded.

Upon a successful request you will get an MS01 result code and a successful submission message.

All user contributions enter a queue and are evaluated by our team on a case-by-case basis.

Submitting a correction does not guarantee that it will be approved or integrated into the active dataset.

## Change GeoPoint

Use this endpoint to submit problem GeoPoints with comments and proposed corrections.

### Change a GeoPoint

 - [GET /changeGeoPoint](https://developer.melissa.com/apis/contribution/change-geopoint/changegeopointget.md): Use this GET endpoint to submit problem GeoPoints with comments and proposed corrections. This is part of our contribution pipeline to include user input and improve data accuracy.

To ensure your correction can be processed, include the MelissaAddressKey (MAK) identifier for the address, the proposed new coordinates (latitude and longitude), and an explanation in the comments field (e.g., “Moved pin from the highway to the actual building entrance”). Submissions without adequate justification may be discarded.

Upon a successful request you will get an MS01 result code and a successful submission message.

All user contributions enter a queue and are evaluated by our team on a case-by-case basis.

Submitting a correction does not guarantee that it will be approved or integrated into the active dataset.

### Change GeoPoints

 - [POST /changeGeoPoint](https://developer.melissa.com/apis/contribution/change-geopoint/changegeopointpost.md): Use this POST endpoint to submit problem GeoPoints with comments and proposed corrections. This is part of our contribution pipeline to include user input and improve data accuracy.

To ensure your correction can be processed, include the MelissaAddressKey (MAK) identifier for the address, the proposed new coordinates (latitude and longitude), and an explanation in the comments field (e.g., “Moved pin from the highway to the actual building entrance”). Submissions without adequate justification may be discarded.

Upon a successful request you will get an MS01 result code and a successful submission message.

All user contributions enter a queue and are evaluated by our team on a case-by-case basis.

Submitting a correction does not guarantee that it will be approved or integrated into the active dataset.

